Index: django/test/client.py
===================================================================
--- django/test/client.py	(revision 16529)
+++ django/test/client.py	(working copy)
@@ -5,7 +5,7 @@
 import mimetypes
 import warnings
 from copy import copy
-from urlparse import urlparse, urlunparse, urlsplit
+from urlparse import urlparse, urlsplit
 try:
     from cStringIO import StringIO
 except ImportError:
@@ -24,7 +24,7 @@
 from django.utils.http import urlencode
 from django.utils.importlib import import_module
 from django.utils.itercompat import is_iterable
-from django.db import transaction, close_connection
+from django.db import close_connection
 from django.test.utils import ContextList
 
 __all__ = ('Client', 'RequestFactory', 'encode_file', 'encode_multipart')
Index: django/test/testcases.py
===================================================================
--- django/test/testcases.py	(revision 16529)
+++ django/test/testcases.py	(working copy)
@@ -6,7 +6,7 @@
 from urlparse import urlsplit, urlunsplit
 from xml.dom.minidom import parseString, Node
 
-from django.conf import settings, UserSettingsHolder
+from django.conf import settings
 from django.core import mail
 from django.core.management import call_command
 from django.core.signals import request_started
Index: django/test/utils.py
===================================================================
--- django/test/utils.py	(revision 16529)
+++ django/test/utils.py	(working copy)
@@ -1,12 +1,8 @@
 from __future__ import with_statement
 
-import sys
-import time
-import os
 import warnings
 from django.conf import settings, UserSettingsHolder
 from django.core import mail
-from django.core.mail.backends import locmem
 from django.test.signals import template_rendered, setting_changed
 from django.template import Template, loader, TemplateDoesNotExist
 from django.template.loaders import cached
Index: django/db/models/sql/compiler.py
===================================================================
--- django/db/models/sql/compiler.py	(revision 16529)
+++ django/db/models/sql/compiler.py	(working copy)
@@ -5,8 +5,8 @@
 from django.db.models.sql.constants import *
 from django.db.models.sql.datastructures import EmptyResultSet
 from django.db.models.sql.expressions import SQLEvaluator
-from django.db.models.sql.query import get_proxied_model, get_order_dir, \
-     select_related_descend, Query
+from django.db.models.sql.query import (get_proxied_model, get_order_dir,
+     select_related_descend, Query)
 from django.db.utils import DatabaseError
 
 class SQLCompiler(object):
Index: django/db/models/sql/where.py
===================================================================
--- django/db/models/sql/where.py	(revision 16529)
+++ django/db/models/sql/where.py	(working copy)
@@ -6,7 +6,6 @@
 
 from django.utils import tree
 from django.db.models.fields import Field
-from django.db.models.query_utils import QueryWrapper
 from datastructures import EmptyResultSet, FullResultSet
 
 # Connection types
Index: django/db/models/sql/subqueries.py
===================================================================
--- django/db/models/sql/subqueries.py	(revision 16529)
+++ django/db/models/sql/subqueries.py	(working copy)
@@ -3,11 +3,9 @@
 """
 
 from django.core.exceptions import FieldError
-from django.db import connections
 from django.db.models.fields import DateField, FieldDoesNotExist
 from django.db.models.sql.constants import *
 from django.db.models.sql.datastructures import Date
-from django.db.models.sql.expressions import SQLEvaluator
 from django.db.models.sql.query import Query
 from django.db.models.sql.where import AND, Constraint
 
Index: django/db/models/base.py
===================================================================
--- django/db/models/base.py	(revision 16529)
+++ django/db/models/base.py	(working copy)
@@ -1,6 +1,5 @@
 import copy
 import sys
-import types
 from functools import update_wrapper
 from itertools import izip
 
@@ -8,8 +7,7 @@
 from django.core.exceptions import ObjectDoesNotExist, MultipleObjectsReturned, FieldError, ValidationError, NON_FIELD_ERRORS
 from django.core import validators
 from django.db.models.fields import AutoField, FieldDoesNotExist
-from django.db.models.fields.related import (OneToOneRel, ManyToOneRel,
-    OneToOneField, add_lazy_relation)
+from django.db.models.fields.related import ManyToOneRel, OneToOneField, add_lazy_relation
 from django.db.models.query import Q
 from django.db.models.query_utils import DeferredAttribute
 from django.db.models.deletion import Collector
Index: django/db/models/manager.py
===================================================================
--- django/db/models/manager.py	(revision 16529)
+++ django/db/models/manager.py	(working copy)
@@ -1,5 +1,4 @@
 import copy
-from django.conf import settings
 from django.db import router
 from django.db.models.query import QuerySet, EmptyQuerySet, insert_query, RawQuerySet
 from django.db.models import signals
Index: django/db/models/loading.py
===================================================================
--- django/db/models/loading.py	(revision 16529)
+++ django/db/models/loading.py	(working copy)
@@ -6,7 +6,6 @@
 from django.utils.importlib import import_module
 from django.utils.module_loading import module_has_submodule
 
-import imp
 import sys
 import os
 import threading
Index: django/db/models/fields/__init__.py
===================================================================
--- django/db/models/fields/__init__.py	(revision 16529)
+++ django/db/models/fields/__init__.py	(working copy)
@@ -17,7 +17,7 @@
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode, force_unicode, smart_str
 from django.utils import datetime_safe
-from django.utils.ipv6 import clean_ipv6_address, is_valid_ipv6_address
+from django.utils.ipv6 import clean_ipv6_address
 
 class NOT_PROVIDED:
     pass
Index: django/db/models/fields/related.py
===================================================================
--- django/db/models/fields/related.py	(revision 16529)
+++ django/db/models/fields/related.py	(working copy)
@@ -1,5 +1,4 @@
-from django.conf import settings
-from django.db import connection, router, transaction
+from django.db import connection, router
 from django.db.backends import util
 from django.db.models import signals, get_model
 from django.db.models.fields import (AutoField, Field, IntegerField,
@@ -9,8 +8,7 @@
 from django.db.models.query_utils import QueryWrapper
 from django.db.models.deletion import CASCADE
 from django.utils.encoding import smart_unicode
-from django.utils.translation import (ugettext_lazy as _, string_concat,
-    ungettext, ugettext)
+from django.utils.translation import ugettext_lazy as _, string_concat
 from django.utils.functional import curry
 from django.core import exceptions
 from django import forms
Index: django/db/models/fields/files.py
===================================================================
--- django/db/models/fields/files.py	(revision 16529)
+++ django/db/models/fields/files.py	(working copy)
@@ -1,18 +1,14 @@
 import datetime
 import os
 
-from django.conf import settings
+from django import forms
 from django.db.models.fields import Field
-from django.core.files.base import File, ContentFile
+from django.core.files.base import File
 from django.core.files.storage import default_storage
-from django.core.files.images import ImageFile, get_image_dimensions
-from django.core.files.uploadedfile import UploadedFile
-from django.utils.functional import curry
+from django.core.files.images import ImageFile
 from django.db.models import signals
 from django.utils.encoding import force_unicode, smart_str
-from django.utils.translation import ugettext_lazy, ugettext as _
-from django import forms
-from django.db.models.loading import cache
+from django.utils.translation import ugettext_lazy as _
 
 class FieldFile(File):
     def __init__(self, instance, field, name):
@@ -215,7 +211,7 @@
     # The descriptor to use for accessing the attribute off of the class.
     descriptor_class = FileDescriptor
 
-    description = ugettext_lazy("File path")
+    description = _("File path")
 
     def __init__(self, verbose_name=None, name=None, upload_to='', storage=None, **kwargs):
         for arg in ('primary_key', 'unique'):
@@ -321,7 +317,7 @@
 class ImageField(FileField):
     attr_class = ImageFieldFile
     descriptor_class = ImageFileDescriptor
-    description = ugettext_lazy("File path")
+    description = _("File path")
 
     def __init__(self, verbose_name=None, name=None, width_field=None, height_field=None, **kwargs):
         self.width_field, self.height_field = width_field, height_field
Index: django/db/models/deletion.py
===================================================================
--- django/db/models/deletion.py	(revision 16529)
+++ django/db/models/deletion.py	(working copy)
@@ -3,7 +3,6 @@
 
 from django.db import connections, transaction, IntegrityError
 from django.db.models import signals, sql
-from django.db.models.sql.constants import GET_ITERATOR_CHUNK_SIZE
 from django.utils.datastructures import SortedDict
 
 
Index: django/db/models/query.py
===================================================================
--- django/db/models/query.py	(revision 16529)
+++ django/db/models/query.py	(working copy)
@@ -3,15 +3,12 @@
 """
 
 import copy
-from itertools import izip
 
 from django.db import connections, router, transaction, IntegrityError
-from django.db.models.aggregates import Aggregate
-from django.db.models.fields import DateField
 from django.db.models.query_utils import (Q, select_related_descend,
     deferred_class_factory, InvalidQuery)
 from django.db.models.deletion import Collector
-from django.db.models import signals, sql
+from django.db.models import sql
 
 # Used to control how many objects are worked with at once in some cases (e.g.
 # when deleting objects).
Index: django/db/models/query_utils.py
===================================================================
--- django/db/models/query_utils.py	(revision 16529)
+++ django/db/models/query_utils.py	(working copy)
@@ -10,7 +10,6 @@
 
 from django.db.backends import util
 from django.utils import tree
-from django.utils.datastructures import SortedDict
 
 
 class InvalidQuery(Exception):
Index: django/db/__init__.py
===================================================================
--- django/db/__init__.py	(revision 16529)
+++ django/db/__init__.py	(working copy)
@@ -1,8 +1,8 @@
 from django.conf import settings
 from django.core import signals
 from django.core.exceptions import ImproperlyConfigured
-from django.db.utils import ConnectionHandler, ConnectionRouter, load_backend, DEFAULT_DB_ALIAS, \
-                            DatabaseError, IntegrityError
+from django.db.utils import (ConnectionHandler, ConnectionRouter,
+    load_backend, DEFAULT_DB_ALIAS, DatabaseError, IntegrityError)
 
 __all__ = ('backend', 'connection', 'connections', 'router', 'DatabaseError',
     'IntegrityError', 'DEFAULT_DB_ALIAS')
Index: django/db/backends/sqlite3/base.py
===================================================================
--- django/db/backends/sqlite3/base.py	(revision 16529)
+++ django/db/backends/sqlite3/base.py	(working copy)
@@ -5,9 +5,10 @@
 standard library.
 """
 
+import datetime
+import decimal
 import re
 import sys
-import datetime
 
 from django.db import utils
 from django.db.backends import *
Index: django/db/backends/mysql/base.py
===================================================================
--- django/db/backends/mysql/base.py	(revision 16529)
+++ django/db/backends/mysql/base.py	(working copy)
@@ -4,6 +4,7 @@
 Requires MySQLdb: http://sourceforge.net/projects/mysql-python
 """
 
+import decimal
 import re
 import sys
 
Index: django/db/backends/oracle/base.py
===================================================================
--- django/db/backends/oracle/base.py	(revision 16529)
+++ django/db/backends/oracle/base.py	(working copy)
@@ -6,7 +6,7 @@
 
 
 import datetime
-from decimal import Decimal
+import decimal
 import sys
 
 
@@ -730,7 +730,7 @@
                     # This will normally be an integer from a sequence,
                     # but it could be a decimal value.
                     if '.' in value:
-                        value = Decimal(value)
+                        value = decimal.Decimal(value)
                     else:
                         value = int(value)
                 else:
@@ -743,12 +743,12 @@
                 if scale == 0:
                     value = int(value)
                 else:
-                    value = Decimal(value)
+                    value = decimal.Decimal(value)
             elif '.' in value:
                 # No type information. This normally comes from a
                 # mathematical expression in the SELECT list. Guess int
                 # or Decimal based on whether it has a decimal point.
-                value = Decimal(value)
+                value = decimal.Decimal(value)
             else:
                 value = int(value)
         elif desc[1] in (Database.STRING, Database.FIXED_CHAR,
Index: django/db/backends/oracle/creation.py
===================================================================
--- django/db/backends/oracle/creation.py	(revision 16529)
+++ django/db/backends/oracle/creation.py	(working copy)
@@ -1,4 +1,5 @@
-import sys, time
+import sys
+import time
 from django.db.backends.creation import BaseDatabaseCreation
 
 TEST_DATABASE_PREFIX = 'test_'
Index: django/db/backends/__init__.py
===================================================================
--- django/db/backends/__init__.py	(revision 16529)
+++ django/db/backends/__init__.py	(working copy)
@@ -1,4 +1,3 @@
-import decimal
 try:
     import thread
 except ImportError:
Index: django/db/backends/postgresql_psycopg2/operations.py
===================================================================
--- django/db/backends/postgresql_psycopg2/operations.py	(revision 16529)
+++ django/db/backends/postgresql_psycopg2/operations.py	(working copy)
@@ -1,5 +1,3 @@
-import re
-
 from django.db.backends import BaseDatabaseOperations
 
 
Index: django/db/backends/dummy/base.py
===================================================================
--- django/db/backends/dummy/base.py	(revision 16529)
+++ django/db/backends/dummy/base.py	(working copy)
@@ -7,6 +7,8 @@
 ImproperlyConfigured.
 """
 
+import decimal
+
 from django.core.exceptions import ImproperlyConfigured
 from django.db.backends import *
 from django.db.backends.creation import BaseDatabaseCreation
Index: django/db/transaction.py
===================================================================
--- django/db/transaction.py	(revision 16529)
+++ django/db/transaction.py	(working copy)
@@ -13,10 +13,8 @@
 """
 from __future__ import with_statement
 
-import sys
 from functools import wraps
 
-from django.conf import settings
 from django.db import connections, DEFAULT_DB_ALIAS
 
 
Index: django/forms/extras/widgets.py
===================================================================
--- django/forms/extras/widgets.py	(revision 16529)
+++ django/forms/extras/widgets.py	(working copy)
@@ -2,7 +2,6 @@
 Extra HTML Widget classes
 """
 
-import time
 import datetime
 import re
 
Index: django/forms/models.py
===================================================================
--- django/forms/models.py	(revision 16529)
+++ django/forms/models.py	(working copy)
@@ -8,8 +8,7 @@
 from django.utils.text import get_text_list, capfirst
 from django.utils.translation import ugettext_lazy as _, ugettext
 
-from django.core.exceptions import ValidationError, NON_FIELD_ERRORS, \
-                                   FieldError
+from django.core.exceptions import ValidationError, NON_FIELD_ERRORS, FieldError
 from django.core.validators import EMPTY_VALUES
 from util import ErrorList
 from forms import BaseForm, get_declared_fields
Index: django/core/mail/__init__.py
===================================================================
--- django/core/mail/__init__.py	(revision 16529)
+++ django/core/mail/__init__.py	(working copy)
@@ -11,11 +11,11 @@
 # django/core/mail.py before the introduction of email
 # backends and the subsequent reorganization (See #10355)
 from django.core.mail.utils import CachedDnsName, DNS_NAME
-from django.core.mail.message import \
-    EmailMessage, EmailMultiAlternatives, \
-    SafeMIMEText, SafeMIMEMultipart, \
-    DEFAULT_ATTACHMENT_MIME_TYPE, make_msgid, \
-    BadHeaderError, forbid_multi_line_headers
+from django.core.mail.message import (
+    EmailMessage, EmailMultiAlternatives,
+    SafeMIMEText, SafeMIMEMultipart,
+    DEFAULT_ATTACHMENT_MIME_TYPE, make_msgid,
+    BadHeaderError, forbid_multi_line_headers)
 from django.core.mail.backends.smtp import EmailBackend as _SMTPConnection
 
 def get_connection(backend=None, fail_silently=False, **kwds):
Index: django/core/servers/basehttp.py
===================================================================
--- django/core/servers/basehttp.py	(revision 16529)
+++ django/core/servers/basehttp.py	(working copy)
@@ -18,7 +18,6 @@
 from wsgiref.util import FileWrapper   # for backwards compatibility
 
 import django
-from django.core.exceptions import ImproperlyConfigured
 from django.core.management.color import color_style
 from django.utils._os import safe_join
 from django.views import static
Index: django/core/servers/fastcgi.py
===================================================================
--- django/core/servers/fastcgi.py	(revision 16529)
+++ django/core/servers/fastcgi.py	(working copy)
@@ -12,8 +12,9 @@
 pass to this server.
 """
 
+import os
+import sys
 from django.utils import importlib
-import sys, os
 
 __version__ = "0.1"
 __all__ = ["runfastcgi"]
Index: django/core/serializers/base.py
===================================================================
--- django/core/serializers/base.py	(revision 16529)
+++ django/core/serializers/base.py	(working copy)
@@ -5,8 +5,7 @@
 from StringIO import StringIO
 
 from django.db import models
-from django.utils.encoding import smart_str, smart_unicode
-from django.utils import datetime_safe
+from django.utils.encoding import smart_unicode
 
 class SerializerDoesNotExist(KeyError):
     """The requested serializer was not found."""
Index: django/core/handlers/profiler-hotshot.py
===================================================================
--- django/core/handlers/profiler-hotshot.py	(revision 16529)
+++ django/core/handlers/profiler-hotshot.py	(working copy)
@@ -1,4 +1,7 @@
-import hotshot, time, os
+import hotshot
+import os
+import time
+
 from django.core.handlers.modpython import ModPythonHandler
 
 PROFILE_DATA_DIR = "/var/log/cmsprofile"
Index: django/core/handlers/wsgi.py
===================================================================
--- django/core/handlers/wsgi.py	(revision 16529)
+++ django/core/handlers/wsgi.py	(working copy)
@@ -1,11 +1,9 @@
-from pprint import pformat
 import sys
 from threading import Lock
 try:
     from cStringIO import StringIO
 except ImportError:
     from StringIO import StringIO
-import socket
 
 from django import http
 from django.core import signals
Index: django/core/handlers/modpython.py
===================================================================
--- django/core/handlers/modpython.py	(revision 16529)
+++ django/core/handlers/modpython.py	(working copy)
@@ -1,5 +1,4 @@
 import os
-from pprint import pformat
 import sys
 from warnings import warn
 
@@ -8,7 +7,7 @@
 from django.core.handlers.base import BaseHandler
 from django.core.urlresolvers import set_script_prefix
 from django.utils import datastructures
-from django.utils.encoding import force_unicode, smart_str, iri_to_uri
+from django.utils.encoding import force_unicode, iri_to_uri
 from django.utils.log import getLogger
 
 logger = getLogger('django.request')
Index: django/core/cache/backends/base.py
===================================================================
--- django/core/cache/backends/base.py	(revision 16529)
+++ django/core/cache/backends/base.py	(working copy)
@@ -2,7 +2,6 @@
 
 import warnings
 
-from django.conf import settings
 from django.core.exceptions import ImproperlyConfigured, DjangoRuntimeWarning
 from django.utils.encoding import smart_str
 from django.utils.importlib import import_module
Index: django/core/cache/backends/db.py
===================================================================
--- django/core/cache/backends/db.py	(revision 16529)
+++ django/core/cache/backends/db.py	(working copy)
@@ -2,12 +2,13 @@
 
 from django.core.cache.backends.base import BaseCache
 from django.db import connections, router, transaction, DatabaseError
-import base64, time
+import base64
 from datetime import datetime
 try:
     import cPickle as pickle
 except ImportError:
     import pickle
+import time
 
 class Options(object):
     """A class that will quack like a Django model _meta class.
Index: django/core/cache/backends/memcached.py
===================================================================
--- django/core/cache/backends/memcached.py	(revision 16529)
+++ django/core/cache/backends/memcached.py	(working copy)
@@ -4,7 +4,6 @@
 from threading import local
 
 from django.core.cache.backends.base import BaseCache, InvalidCacheBackendError
-from django.utils import importlib
 
 class BaseMemcachedCache(BaseCache):
     def __init__(self, server, params, library, value_not_found_exception):
Index: django/core/management/commands/reset.py
===================================================================
--- django/core/management/commands/reset.py	(revision 16529)
+++ django/core/management/commands/reset.py	(working copy)
@@ -1,6 +1,5 @@
 from optparse import make_option
 
-from django.conf import settings
 from django.core.management.base import AppCommand, CommandError
 from django.core.management.color import no_style
 from django.core.management.sql import sql_reset
Index: django/templatetags/future.py
===================================================================
--- django/templatetags/future.py	(revision 16529)
+++ django/templatetags/future.py	(working copy)
@@ -1,7 +1,5 @@
-from django.conf import settings
-from django.template import Library, Node, Template, TemplateSyntaxError
-from django.template.defaulttags import kwarg_re, include_is_allowed, SsiNode, URLNode
-from django.utils.encoding import smart_str
+from django.template import Library, TemplateSyntaxError
+from django.template.defaulttags import kwarg_re, SsiNode, URLNode
 
 
 register = Library()
Index: django/templatetags/l10n.py
===================================================================
--- django/templatetags/l10n.py	(revision 16529)
+++ django/templatetags/l10n.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.template import Node
 from django.template import TemplateSyntaxError, Library
 from django.utils import formats
Index: django/templatetags/cache.py
===================================================================
--- django/templatetags/cache.py	(revision 16529)
+++ django/templatetags/cache.py	(working copy)
@@ -2,7 +2,6 @@
 from django.template import Library, Node, TemplateSyntaxError, Variable, VariableDoesNotExist
 from django.template import resolve_variable
 from django.core.cache import cache
-from django.utils.encoding import force_unicode
 from django.utils.http import urlquote
 
 register = Library()
Index: django/views/decorators/http.py
===================================================================
--- django/views/decorators/http.py	(revision 16529)
+++ django/views/decorators/http.py	(working copy)
@@ -3,7 +3,6 @@
 """
 
 from calendar import timegm
-from datetime import timedelta
 from functools import wraps
 
 from django.utils.decorators import decorator_from_middleware, available_attrs
Index: django/views/generic/base.py
===================================================================
--- django/views/generic/base.py	(revision 16529)
+++ django/views/generic/base.py	(working copy)
@@ -1,7 +1,6 @@
 from functools import update_wrapper
 from django import http
 from django.core.exceptions import ImproperlyConfigured
-from django.template import RequestContext, loader
 from django.template.response import TemplateResponse
 from django.utils.log import getLogger
 from django.utils.decorators import classonlymethod
Index: django/views/generic/list.py
===================================================================
--- django/views/generic/list.py	(revision 16529)
+++ django/views/generic/list.py	(working copy)
@@ -1,5 +1,3 @@
-import re
-
 from django.core.paginator import Paginator, InvalidPage
 from django.core.exceptions import ImproperlyConfigured
 from django.http import Http404
Index: django/views/generic/detail.py
===================================================================
--- django/views/generic/detail.py	(revision 16529)
+++ django/views/generic/detail.py	(working copy)
@@ -1,5 +1,3 @@
-import re
-
 from django.core.exceptions import ImproperlyConfigured, ObjectDoesNotExist
 from django.http import Http404
 from django.utils.encoding import smart_str
Index: django/views/debug.py
===================================================================
--- django/views/debug.py	(revision 16529)
+++ django/views/debug.py	(working copy)
@@ -3,7 +3,6 @@
 import re
 import sys
 import types
-from pprint import pformat
 
 from django.conf import settings
 from django.http import (HttpResponse, HttpResponseServerError,
Index: django/dispatch/saferef.py
===================================================================
--- django/dispatch/saferef.py	(revision 16529)
+++ django/dispatch/saferef.py	(working copy)
@@ -5,7 +5,8 @@
 aren't handled by the core weakref module).
 """
 
-import weakref, traceback
+import traceback
+import weakref
 
 def safeRef(target, onDelete = None):
     """Return a *safe* weak reference to a callable target
Index: django/utils/translation/trans_real.py
===================================================================
--- django/utils/translation/trans_real.py	(revision 16529)
+++ django/utils/translation/trans_real.py	(working copy)
@@ -4,11 +4,14 @@
 import os
 import re
 import sys
-import warnings
 import gettext as gettext_module
-from cStringIO import StringIO
 from threading import local
 
+try:
+    from cStringIO import StringIO
+except ImportError:
+    from StringIO import StringIO
+
 from django.utils.importlib import import_module
 from django.utils.safestring import mark_safe, SafeData
 
Index: django/utils/translation/trans_null.py
===================================================================
--- django/utils/translation/trans_null.py	(revision 16529)
+++ django/utils/translation/trans_null.py	(working copy)
@@ -2,7 +2,6 @@
 # that don't actually do anything. This is purely for performance, so that
 # settings.USE_I18N = False can use this module rather than trans_real.py.
 
-import warnings
 from django.conf import settings
 from django.utils.encoding import force_unicode
 from django.utils.safestring import mark_safe, SafeData
Index: django/utils/cache.py
===================================================================
--- django/utils/cache.py	(revision 16529)
+++ django/utils/cache.py	(working copy)
@@ -26,7 +26,6 @@
 from django.utils.encoding import smart_str, iri_to_uri
 from django.utils.http import http_date
 from django.utils.translation import get_language
-from django.http import HttpRequest
 
 cc_delim_re = re.compile(r'\s*,\s*')
 
Index: django/utils/timesince.py
===================================================================
--- django/utils/timesince.py	(revision 16529)
+++ django/utils/timesince.py	(working copy)
@@ -1,5 +1,4 @@
 import datetime
-import time
 
 from django.utils.tzinfo import LocalTimezone
 from django.utils.translation import ungettext, ugettext
Index: django/utils/log.py
===================================================================
--- django/utils/log.py	(revision 16529)
+++ django/utils/log.py	(working copy)
@@ -1,5 +1,4 @@
 import logging
-import sys
 import traceback
 
 from django.conf import settings
Index: django/utils/text.py
===================================================================
--- django/utils/text.py	(revision 16529)
+++ django/utils/text.py	(working copy)
@@ -1,9 +1,17 @@
 import re
+from gzip import GzipFile
+from htmlentitydefs import name2codepoint
+
+try:
+    from cStringIO import StringIO
+except ImportError:
+    from StringIO import StringIO
+
 from django.utils.encoding import force_unicode
 from django.utils.functional import allow_lazy
 from django.utils.translation import ugettext_lazy, ugettext as _
-from htmlentitydefs import name2codepoint
 
+
 # Capitalizes the first letter of a string.
 capfirst = lambda x: x and force_unicode(x)[0].upper() + force_unicode(x)[1:]
 capfirst = allow_lazy(capfirst, unicode)
@@ -180,9 +188,8 @@
 # From http://www.xhaus.com/alan/python/httpcomp.html#gzip
 # Used with permission.
 def compress_string(s):
-    import cStringIO, gzip
-    zbuf = cStringIO.StringIO()
-    zfile = gzip.GzipFile(mode='wb', compresslevel=6, fileobj=zbuf)
+    zbuf = StringIO()
+    zfile = GzipFile(mode='wb', compresslevel=6, fileobj=zbuf)
     zfile.write(s)
     zfile.close()
     return zbuf.getvalue()
Index: django/utils/version.py
===================================================================
--- django/utils/version.py	(revision 16529)
+++ django/utils/version.py	(working copy)
@@ -1,5 +1,4 @@
 import django
-import os.path
 import re
 
 def get_svn_revision(path=None):
Index: django/contrib/gis/db/models/sql/aggregates.py
===================================================================
--- django/contrib/gis/db/models/sql/aggregates.py	(revision 16529)
+++ django/contrib/gis/db/models/sql/aggregates.py	(working copy)
@@ -1,6 +1,5 @@
 from django.db.models.sql.aggregates import *
 from django.contrib.gis.db.models.fields import GeometryField
-from django.contrib.gis.db.models.sql.conversion import GeomField
 
 class GeoAggregate(Aggregate):
     # Default SQL template for spatial aggregates.
Index: django/contrib/gis/db/models/sql/where.py
===================================================================
--- django/contrib/gis/db/models/sql/where.py	(revision 16529)
+++ django/contrib/gis/db/models/sql/where.py	(working copy)
@@ -1,4 +1,4 @@
-from django.db.models.fields import Field, FieldDoesNotExist
+from django.db.models.fields import FieldDoesNotExist
 from django.db.models.sql.constants import LOOKUP_SEP
 from django.db.models.sql.expressions import SQLEvaluator
 from django.db.models.sql.where import Constraint, WhereNode
Index: django/contrib/gis/db/models/__init__.py
===================================================================
--- django/contrib/gis/db/models/__init__.py	(revision 16529)
+++ django/contrib/gis/db/models/__init__.py	(working copy)
@@ -8,7 +8,7 @@
 from django.contrib.gis.db.models.manager import GeoManager
 
 # The geographic-enabled fields.
-from django.contrib.gis.db.models.fields import \
-     GeometryField, PointField, LineStringField, PolygonField, \
-     MultiPointField, MultiLineStringField, MultiPolygonField, \
-     GeometryCollectionField
+from django.contrib.gis.db.models.fields import (
+     GeometryField, PointField, LineStringField, PolygonField,
+     MultiPointField, MultiLineStringField, MultiPolygonField,
+     GeometryCollectionField)
